<?php
    $meta = (object) $meta;
?>
<div class="table-wrapper">
    <div class=" table-wrapper__item">
        <div class="table-header-menu">
            <button type="button" class="table-header-menu__link market-type active" data-type="all">
                <i class="las la-border-all"></i> <?php echo app('translator')->get('All'); ?>
            </button>
            <button type="button" class="table-header-menu__link market-type" data-type="crypto">
                <i class="las la-coins"></i> <?php echo app('translator')->get('Crypto'); ?>
            </button>
            <button type="button" class="table-header-menu__link market-type" data-type="fiat"><i class="las la-hryvnia"></i>
                <?php echo app('translator')->get('Fiat'); ?>
            </button>
        </div>
        <div class="market-list__left">
            <?php if(@$meta->from_section): ?>
                <a href="<?php echo e(route('market')); ?>" class="btn btn--sm btn--base outline">
                    <i class="las la-coins"></i> <?php echo app('translator')->get('All Pair'); ?>
                </a>
            <?php else: ?>
                <form class="market-list-search">
                    <input type="search" name="market_list_serach" class="market-list-search-field form--control" placeholder="<?php echo app('translator')->get('Search here '); ?>...">
                    <i class="las la-search"></i>
                </form>
            <?php endif; ?>
        </div>
    </div>
    <table class="table coin-pair-list-table table--responsive--lg coin-pair-list">
        <thead>
            <tr class="">
                <th><?php echo app('translator')->get('Pair'); ?></th>
                <th><?php echo app('translator')->get('Price'); ?></th>
                <th><?php echo app('translator')->get('1h Change'); ?></th>
                <th><?php echo app('translator')->get('24h Change'); ?></th>
                <th class="text-start"><?php echo app('translator')->get('Marketcap'); ?></th>
                <th><?php echo app('translator')->get('Action'); ?></th>
            </tr>
        </thead>
        <tbody id="market-list-body"></tbody>
    </table>
    <?php if(!@$meta->from_section): ?>
        <div class="text-center mt-5">
            <button type="button" class="btn btn--base outline btn--sm load-more-market-list d-none">
                <i class="fa fa-spinner"></i> <?php echo app('translator')->get('Load More'); ?>
            </button>
        </div>
    <?php endif; ?>
</div>

<?php $__env->startPush('script'); ?>
    <script>
        "use strict";
        (function($) {

                <?php if(!app()->offsetExists('lisiten_market_data_event')): ?>
                    pusherConnection('market-data', marketChangeHtml);
                    <?php app()->offsetSet('lisiten_market_data_event',true) ?>
                <?php endif; ?>

                let type = "all";
                let loadMore = false;
                let skip = 0;
                let limit = "<?php echo e($meta->limit ?? 15); ?>";
                let search = "";

                $('.market-type').on('click', function(e) {
                    $('.market-type').removeClass('active');
                    $(this).addClass('active');
                    type = $(this).data('type');
                    resetVariable()
                    getPairList();
                });

                $('.load-more-market-list').on('click', function(e) {
                    loadMore = true;
                    getPairList();
                });

                $('.market-list-search').on('submit', function(e) {
                    e.preventDefault();
                    search = $(this).find('.market-list-search-field').val()
                    resetVariable();
                    getPairList();
                });

                function getPairList() {
                    let action = "<?php echo e(route('market.list')); ?>";
                    $.ajax({
                                url: action,
                                type: "GET",
                                dataType: 'json',
                                cache: false,
                                data: {
                                    type,
                                    skip,
                                    limit,
                                    search
                                },
                                beforeSend: function() {
                                    if (loadMore) {
                                        $('.load-more-market-list').html(`<i class="fa fa-spinner fa-spin"></i>`)
                                    }
                                },
                                complete: function() {
                                    if (loadMore) {
                                        $('.load-more-market-list').html(`<i class="fa fa-spinner"></i> <?php echo app('translator')->get('Load More'); ?>`)
                                    } else {
                                        removeSkeleton();
                                    }
                                },
                                success: function(resp) {

                                    if (!resp.success) {
                                        notify('error', resp.message);
                                        return false;
                                    }
                                    let html = '';
                                    if (resp.pairs.length <= 0) {
                                        html += `<tr class="text-center">
                                <td colspan="100%">
                                    <div class="empty-thumb">
                                        <img src="<?php echo e(asset('assets/images/extra_images/empty.png')); ?>"/>
                                        <p class="empty-sell">${loadMore ? 'No more pair found' : 'No pair found'}</p>
                                    </div>
                                </td>
                            </tr>`;
                                        $('.load-more-market-list').addClass('d-none');
                                        loadMore ? $('#market-list-body').append(html) : $('#market-list-body').html(html);
                                        return;
                                    }
                                    let tradeUlr = "<?php echo e(route('trade', ':symbol')); ?>";
                                    let binaryUrl = "<?php echo e(route('binary', ':id')); ?>";
                                    $.each(resp.pairs || [], function(i, pair) {

                                            console.log(pair);



                                            let marketData = pair.market_data;
                                            let htmlClass = marketData.html_classes || {};
                                            html += `
                            <tr class="${!loadMore ? 'skeleton' : ''}">
                                <td>
                                    <div class="customer d-flex align-items-center">
                                        <div class="pair-thumb">
                                            <div class="coin-img-one">
                                                <img src="${pair.coin.image_url}">
                                            </div>
                                            <div class="coin-img-two">
                                                <img src="${pair.market.currency.image_url}">
                                            </div>
                                        </div>
                                        <div class="customer__content">
                                            <h6 class="customer__name">${pair.symbol}</h6>
                                        </div>
                                    </div>
                                </td>
                                <td>
                                   <span class="market-price-${marketData.id} ${htmlClass.price_change != undefined ? htmlClass.price_change : '' }">
                                        ${showAmount(marketData.price)}
                                    </span>
                                </td>
                                <td>
                                    <span class="market-percent-change-1h-${marketData.id} ${htmlClass.percent_change_1h || ''}">
                                        ${showAmount(marketData.percent_change_1h,2)}%
                                    </span>
                                </td>
                                <td>
                                     <span class="market-percent-change-24h-${marketData.id} ${htmlClass.percent_change_24h || ''}">
                                        ${showAmount(marketData.percent_change_24h,2)}%
                                    </span>
                                </td>
                                <td>
                                    <span class="market-market_cap-${marketData.id}"> ${showAmount(marketData.market_cap)}</span>
                                </td>
                                <td class="text-end">
                                    <div class="d-flex justify-content-end gap-2 flex-wrap">
                                        ${(() => {
                                            if (pair.type == 1) {
                                                return `<a href="${tradeUlr.replace(':symbol',pair.symbol)}" class="btn btn--sm outline">
                                                        <i class="fas fa-chart-line"></i> <?php echo app('translator')->get('Trade'); ?>
                                                    </a>`;
                                            } else if(pair.type == 2) {
                                                return `<a href = "${binaryUrl.replace(':id',pair.id)}" class="btn btn--sm outline">
                                                            <i class="las la-chart-line"></i> <?php echo app('translator')->get('Binary'); ?> 
                                                        </a>`;
                                            } else {
                                                return `<a href="${tradeUlr.replace(':symbol',pair.symbol)}" class="btn btn--sm outline">
                                                        <i class="fas fa-chart-line"></i> <?php echo app('translator')->get('Trade'); ?>
                                                    </a>
                                                    <a href="${binaryUrl.replace(':id',pair.id)}" class="btn btn--sm outline">
                                                        <i class="las la-chart-line"></i> <?php echo app('translator')->get('Binary'); ?>
                                                    </a>`;
                                                }
                                            })()
                                        } 
                                </div> </td> </tr>`
                            });


                            $('.load-more-market-list').removeClass('d-none');
                            loadMore ? $('#market-list-body').append(html) : $('#market-list-body').html(html);
                            if (skip == 0) {
                                tableDataLabel();
                            }
                            skip += parseInt(limit);
                            if (parseInt(skip) >= parseInt(resp.total)) {
                                $('.load-more-market-list').addClass('d-none')
                            } else {
                                $('.load-more-market-list').removeClass('d-none')
                            }
                        }
                    });
                }
                getPairList();

                function resetVariable() {
                    loadMore = false;
                    skip = 0;
                    limit = "<?php echo e($meta->limit ?? 20); ?>";
                }

                function removeSkeleton() {
                    setTimeout(() => {
                        $('.coin-pair-list tr').removeClass('skeleton');
                    }, 1000);
                }
                removeSkeleton();

            })(jQuery);

            
    </script>
<?php $__env->stopPush(); ?>

<?php if(!app()->offsetExists('pusher_script')): ?>
    <?php $__env->startPush('script-lib'); ?>
        <script src="<?php echo e(asset('assets/global/js/pusher.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/global/js/broadcasting.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
    <?php app()->offsetSet('pusher_script',true) ?>
<?php endif; ?>
<?php /**PATH /home/survxdet/billing.intelco.biz/core/resources/views/templates/basic/sections/coin_pair_list.blade.php ENDPATH**/ ?>