<?php $__env->startSection('content'); ?>
    <div class="row justify-content-center gy-4">
        <div class=" col-xxl-9 col-lg-12">
            <div class="row gy-3">
                <?php
                    $kycContent = getContent('kyc_content.content', true);
                ?>
                <?php if($user->kv == Status::KYC_UNVERIFIED && $user->kyc_rejection_reason): ?>
                    <div class="col-12">
                        <div class="alert alert--danger skeleton" role="alert">
                            <div class="flex-align justify-content-between">
                                <h5 class="alert-heading text--danger mb-2"><?php echo app('translator')->get('KYC Documents Rejected'); ?></h5>
                                <button data-bs-toggle="modal" data-bs-target="#kycRejectionReason"><?php echo app('translator')->get('Show Reason'); ?></button>
                            </div>
                            <p class="mb-0">
                                <?php echo e(__(@$kycContent->data_values->rejection_content)); ?>

                                <a href="<?php echo e(route('user.kyc.data')); ?>" class="text--base"><?php echo app('translator')->get('See KYC Data'); ?></a>
                            </p>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if($user->kv == Status::KYC_UNVERIFIED && !$user->kyc_rejection_reason): ?>
                    <div class="col-12">
                        <div class="alert alert--danger skeleton" role="alert">
                            <h5 class="alert-heading text--danger mb-2"><?php echo app('translator')->get('KYC Verification Required'); ?></h5>
                            <p class="mb-0">
                                <?php echo e(__(@$kycContent->data_values->unverified_content)); ?>

                                <a href="<?php echo e(route('user.kyc.form')); ?>" class="text--base"><?php echo app('translator')->get('Click here to verify'); ?></a>
                            </p>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if($user->kv == Status::KYC_PENDING): ?>
                    <div class="col-12">
                        <div class="alert alert--warning flex-column justify-content-start align-items-start skeleton" role="alert">
                            <h5 class="alert-heading text--warning mb-2"><?php echo app('translator')->get('KYC Verification Pending'); ?></h5>
                            <p class="mb-0"> <?php echo e(__(@$kycContent->data_values->pending_content)); ?>

                                <a href="<?php echo e(route('user.kyc.data')); ?>" class="text--base"><?php echo app('translator')->get('See KYC Data'); ?></a>
                            </p>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if(!$user->ts): ?>
                    <div class="col-12">
                        <div class="alert-item 2fa-notice skeleton">
                            <span class="delete-icon skeleton" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="Delete">
                                <i class="las la-times"></i></span>
                            <div class="alert flex-align alert--danger remove-2fa-notice" role="alert">
                                <span class="alert__icon">
                                    <i class="fas fa-exclamation"></i>
                                </span>
                                <div class="alert__content">
                                    <span class="alert__title">
                                        <?php echo app('translator')->get('To secure your account add 2FA verification'); ?>.
                                        <a href="<?php echo e(route('user.twofactor')); ?>" class="text--base text--small"><?php echo app('translator')->get('Enable'); ?></a>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="col-12">
                    <div class="dashboard-card-wrapper">
                        <div class="row gy-4 mb-3 justify-content-center">
                            <div class="col-xxl-3 col-sm-6">
                                <div class="dashboard-card skeleton">
                                    <div class="d-flex justify-content-between align-items-center">
                                        <span class="dashboard-card__icon text--base">
                                            <i class="las la-spinner"></i>
                                        </span>
                                        <div class="dashboard-card__content">
                                            <a href="<?php echo e(route('user.order.open')); ?>" class="dashboard-card__coin-name mb-0 ">
                                                <?php echo app('translator')->get('Open Order'); ?> </a>
                                            <h6 class="dashboard-card__coin-title"> <?php echo e(getAmount($widget['open_order'])); ?> </h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xxl-3 col-sm-6">
                                <div class="dashboard-card skeleton">
                                    <div class="d-flex justify-content-between align-items-center">
                                        <span class="dashboard-card__icon text--success">
                                            <i class="las la-check-circle"></i>
                                        </span>
                                        <div class="dashboard-card__content">
                                            <a href="<?php echo e(route('user.order.completed')); ?>" class="dashboard-card__coin-name mb-0">
                                                <?php echo app('translator')->get('Completed Order'); ?> </a>
                                            <h6 class="dashboard-card__coin-title"> <?php echo e(getAmount($widget['completed_order'])); ?>

                                            </h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xxl-3 col-sm-6">
                                <div class="dashboard-card skeleton">
                                    <div class="d-flex justify-content-between align-items-center">
                                        <span class="dashboard-card__icon text--danger">
                                            <i class="las la-times-circle"></i>
                                        </span>
                                        <div class="dashboard-card__content">
                                            <a href="<?php echo e(route('user.order.canceled')); ?>" class="dashboard-card__coin-name mb-0 ">
                                                <?php echo app('translator')->get('Canceled Order'); ?> </a>
                                            <h6 class="dashboard-card__coin-title"> <?php echo e(getAmount($widget['canceled_order'])); ?>

                                            </h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xxl-3 col-sm-6">
                                <div class="dashboard-card skeleton">
                                    <div class="d-flex justify-content-between align-items-center">
                                        <span class="dashboard-card__icon text--base">
                                            <span class="icon-trade fs-50"></span>
                                        </span>
                                        <div class="dashboard-card__content">
                                            <a href="<?php echo e(route('user.trade.history')); ?>" class="dashboard-card__coin-name mb-0"><?php echo app('translator')->get('Total Trade'); ?> </a>
                                            <h6 class="dashboard-card__coin-title"> <?php echo e(getAmount($widget['total_trade'])); ?> </h6>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                        <div class="row gy-4 mb-3 justify-content-center">
                            <div class="col-lg-6">
                                <div class="transection h-100">
                                    <h5 class="transection__title skeleton"> <?php echo app('translator')->get('Recent Order'); ?> </h5>
                                    <?php $__empty_1 = true; $__currentLoopData = $recentOrders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $recentOrder): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <div class="transection__item skeleton">
                                            <div class="d-flex flex-wrap align-items-center">
                                                <div class="transection__date">
                                                    <h6 class="transection__date-number text-white">
                                                        <?php echo e(showDateTime($recentOrder->created_at, 'd')); ?>

                                                    </h6>
                                                    <span class="transection__date-text">
                                                        <?php echo e(__(strtoupper(showDateTime($recentOrder->created_at, 'M')))); ?>

                                                    </span>
                                                </div>
                                                <div class="transection__content">
                                                    <h6 class="transection__content-title">
                                                        <?php echo $recentOrder->orderSideBadge; ?>
                                                    </h6>
                                                    <p class="transection__content-desc">
                                                        <?php echo app('translator')->get('Placed an order in the '); ?>
                                                        <?php echo e(@$recentOrder->pair->symbol); ?> <?php echo app('translator')->get('pair to'); ?>
                                                        <?php echo e(__(strtolower(strip_tags($recentOrder->orderSideBadge)))); ?>

                                                        <?php echo e(showAmount($recentOrder->amount, currencyFormat: false)); ?>

                                                        <?php echo e(@$recentOrder->pair->coin->symbol); ?>

                                                    </p>
                                                </div>
                                            </div>
                                            <?php echo $recentOrder->statusBadge; ?>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                        <div class="transection__item justify-content-center p-5 skeleton">
                                            <div class="empty-thumb text-center">
                                                <img src="<?php echo e(asset('assets/images/extra_images/empty.png')); ?>" />
                                                <p class="fs-14"><?php echo app('translator')->get('No order found'); ?></p>
                                            </div>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="transection h-100">
                                    <h5 class="transection__title skeleton"> <?php echo app('translator')->get('Recent Transactions'); ?> </h5>
                                    <?php $__empty_1 = true; $__currentLoopData = $recentTransactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $recentTransaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <div class="transection__item skeleton">
                                            <div class="d-flex flex-wrap align-items-center">
                                                <div class="transection__date">
                                                    <h6 class="transection__date-number text-white">
                                                        <?php echo e(showDateTime($recentTransaction->created_at, 'd')); ?>

                                                    </h6>
                                                    <span class="transection__date-text">
                                                        <?php echo e(__(strtoupper(showDateTime($recentTransaction->created_at, 'M')))); ?>

                                                    </span>
                                                </div>
                                                <div class="transection__content">
                                                    <h6 class="transection__content-title">
                                                        <?php echo e(__(ucwords(keyToTitle($recentTransaction->remark)))); ?>

                                                    </h6>
                                                    <p class="transection__content-desc">
                                                        <?php echo e(__($recentTransaction->details)); ?>

                                                    </p>
                                                </div>
                                            </div>
                                            <?php if($recentTransaction->trx_type == '+'): ?>
                                                <span class="badge badge--success">
                                                    <?php echo app('translator')->get('Plus'); ?>
                                                </span>
                                            <?php else: ?>
                                                <span class="badge badge--danger">
                                                    <?php echo app('translator')->get('Minus'); ?>
                                                </span>
                                            <?php endif; ?>

                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                        <div class="transection__item justify-content-center p-5 skeleton">
                                            <div class="empty-thumb text-center">
                                                <img src="<?php echo e(asset('assets/images/extra_images/empty.png')); ?>" />
                                                <p class="fs-14"><?php echo app('translator')->get('No transactions found'); ?></p>
                                            </div>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <div class=" col-xxl-3">
            <div class="dashboard-right">
                <div class="right-sidebar">
                    <div class="right-sidebar__header mb-3 skeleton">
                        <div class="d-flex flex-between flex-wrap">
                            <div>
                                <h4 class="mb-0 fs-18"><?php echo app('translator')->get('Wallet Overview'); ?></h4>
                                <p class="mt-0 fs-12"><?php echo app('translator')->get('Available wallet balance including the converted total balance'); ?></p>
                            </div>
                            <span class="toggle-dashboard-right dashboard--popup-close"><i class="las la-times"></i></span>
                        </div>
                    </div>
                    <div class="text-center mb-3 skeleton">
                        <h3 class="right-sidebar__number mb-0 pb-0">
                            <?php echo e(showAmount($estimatedBalance)); ?>

                        </h3>
                        <span class="fs-14 mt-0"><?php echo app('translator')->get('Estimated Total Balance'); ?></span>
                    </div>
                    <div class="right-sidebar__menu ">
                        <div class="wallet-wrapper">
                            <?php $__empty_1 = true; $__currentLoopData = $wallets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $wallet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <div class="right-sidebar__item flex-wrap wallet-list skeleton">
                                    <div class="d-flex align-items-center">
                                        <span class="right-sidebar__item-icon">
                                            <img src="<?php echo e(@$wallet->currency->image_url); ?>">
                                        </span>
                                        <h6 class="right-sidebar__item-name">
                                            <?php echo e(strLimit(@$wallet->currency->name, 10)); ?>

                                            <span class="fs-11 d-block">
                                                <?php echo e(@$wallet->currency->symbol); ?>

                                            </span>
                                        </h6>
                                    </div>
                                    <h6 class="right-sidebar__item-number"> <?php echo e(showAmount($wallet->balance, currencyFormat: false)); ?> </h6>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php endif; ?>
                        </div>
                        <button type="button" class="w-100 show-more-wallet right-sidebar__button skeleton mt-2">
                            <span class="right-sidebar__button-icon">
                                <i class="las la-chevron-circle-down"></i><?php echo app('translator')->get('Show More'); ?>
                            </span>
                        </button>
                    </div>
                </div>
                <div class="right-sidebar mt-3">
                    <div class="right-sidebar__header mb-3 skeleton">
                        <h4 class="mb-0 fs-18"><?php echo app('translator')->get('Deposit Money'); ?></h4>
                        <p class="mt-0 fs-12"><?php echo app('translator')->get('Make crypto & fiat deposits in a few steps'); ?></p>
                    </div>
                    <div class="right-sidebar__deposit custom-select2">
                        <form class="skeleton deposit-form">
                            <div class="form-group position-relative" id="currency_list_wrapper">
                                <div class="input-group">
                                    <input type="number" step="any" name="amount" class="form--control form-control"
                                        placeholder="<?php echo app('translator')->get('Amount'); ?>">
                                    <div class="input-group-text skeleton">
                                        <?php if (isset($component)) { $__componentOriginal088acdb7de35136e27c18e45a357b6f7 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal088acdb7de35136e27c18e45a357b6f7 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.currency-list','data' => ['action' => route('user.currency.all'),'valueType' => '2','logCurrency' => 'true']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('currency-list'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['action' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(route('user.currency.all')),'valueType' => '2','logCurrency' => 'true']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal088acdb7de35136e27c18e45a357b6f7)): ?>
<?php $attributes = $__attributesOriginal088acdb7de35136e27c18e45a357b6f7; ?>
<?php unset($__attributesOriginal088acdb7de35136e27c18e45a357b6f7); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal088acdb7de35136e27c18e45a357b6f7)): ?>
<?php $component = $__componentOriginal088acdb7de35136e27c18e45a357b6f7; ?>
<?php unset($__componentOriginal088acdb7de35136e27c18e45a357b6f7); ?>
<?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            <button class="deposit__button btn btn--base w-100" type="submit">
                                <span class="icon-deposit"></span> <?php echo app('translator')->get('Deposit'); ?>
                            </button>
                        </form>
                    </div>
                </div>
                <div class="right-sidebar mt-3">
                    <div class="right-sidebar__header mb-3 skeleton">
                        <h4 class="mb-0 fs-18"><?php echo app('translator')->get('Withdraw Money'); ?></h4>
                        <p class="mt-0 fs-12"><?php echo app('translator')->get('Withdrawal your balance with our world-class withdrawal process'); ?></p>
                    </div>
                    <div class="right-sidebar__deposit">
                        <form class="skeleton withdraw-form custom-select2">
                            <div class="form-group position-relative" id="withdraw_currency_list_wrapper">
                                <div class="input-group">
                                    <input type="number" name="amount" step="any" class="form--control form-control"
                                        placeholder="<?php echo app('translator')->get('Amount'); ?>">
                                    <div class="input-group-text skeleton">
                                        <?php if (isset($component)) { $__componentOriginal088acdb7de35136e27c18e45a357b6f7 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal088acdb7de35136e27c18e45a357b6f7 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.currency-list','data' => ['action' => route('user.currency.all'),'id' => 'withdraw_currency_list','parent' => 'withdraw_currency_list_wrapper','valueType' => '2','logCurrency' => 'true']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('currency-list'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['action' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(route('user.currency.all')),'id' => 'withdraw_currency_list','parent' => 'withdraw_currency_list_wrapper','valueType' => '2','logCurrency' => 'true']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal088acdb7de35136e27c18e45a357b6f7)): ?>
<?php $attributes = $__attributesOriginal088acdb7de35136e27c18e45a357b6f7; ?>
<?php unset($__attributesOriginal088acdb7de35136e27c18e45a357b6f7); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal088acdb7de35136e27c18e45a357b6f7)): ?>
<?php $component = $__componentOriginal088acdb7de35136e27c18e45a357b6f7; ?>
<?php unset($__componentOriginal088acdb7de35136e27c18e45a357b6f7); ?>
<?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            <button class="deposit__button btn btn--base w-100" type="submit">
                                <span class="icon-withdraw"></span> <?php echo app('translator')->get('Withdraw'); ?>
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php if (isset($component)) { $__componentOriginalb4d7a76f273e1ce6275894d99e164dac = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalb4d7a76f273e1ce6275894d99e164dac = $attributes; } ?>
<?php $component = App\View\Components\FlexibleView::resolve(['view' => $activeTemplate . 'user.components.canvas.deposit','meta' => ['gateways' => $gateways]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('flexible-view'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\FlexibleView::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalb4d7a76f273e1ce6275894d99e164dac)): ?>
<?php $attributes = $__attributesOriginalb4d7a76f273e1ce6275894d99e164dac; ?>
<?php unset($__attributesOriginalb4d7a76f273e1ce6275894d99e164dac); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalb4d7a76f273e1ce6275894d99e164dac)): ?>
<?php $component = $__componentOriginalb4d7a76f273e1ce6275894d99e164dac; ?>
<?php unset($__componentOriginalb4d7a76f273e1ce6275894d99e164dac); ?>
<?php endif; ?>
    <?php if (isset($component)) { $__componentOriginalb4d7a76f273e1ce6275894d99e164dac = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalb4d7a76f273e1ce6275894d99e164dac = $attributes; } ?>
<?php $component = App\View\Components\FlexibleView::resolve(['view' => $activeTemplate . 'user.components.canvas.withdraw','meta' => ['withdrawMethods' => $withdrawMethods]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('flexible-view'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\FlexibleView::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalb4d7a76f273e1ce6275894d99e164dac)): ?>
<?php $attributes = $__attributesOriginalb4d7a76f273e1ce6275894d99e164dac; ?>
<?php unset($__attributesOriginalb4d7a76f273e1ce6275894d99e164dac); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalb4d7a76f273e1ce6275894d99e164dac)): ?>
<?php $component = $__componentOriginalb4d7a76f273e1ce6275894d99e164dac; ?>
<?php unset($__componentOriginalb4d7a76f273e1ce6275894d99e164dac); ?>
<?php endif; ?>


    <?php if($user->kv == Status::KYC_UNVERIFIED && $user->kyc_rejection_reason): ?>
        <div class="modal fade custom--modal" id="kycRejectionReason">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title"><?php echo app('translator')->get('KYC Document Rejection Reason'); ?></h5>
                        <span type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                            <i class="las la-times"></i>
                        </span>
                    </div>
                    <div class="modal-body">
                        <p><?php echo e(auth()->user()->kyc_rejection_reason); ?></p>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script-lib'); ?>
    <script src="<?php echo e(asset('assets/global/js/select2.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style-lib'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/global/css/select2.min.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        "use strict";
        (function($) {

            $.each($('.canvas-select2'), function(index, element) {
                $('.canvas-select2').select2({
                    dropdownParent: $(this).closest('.position-relative')
                });
            });

            $('.2fa-notice').on('click', '.delete-icon', function(e) {
                $(this).closest('.col-12').fadeOut('slow', function() {
                    $(this).remove();
                });
            });

            let walletSkip = 3;

            $('.show-more-wallet').on('click', function(e) {
                let route = "<?php echo e(route('user.more.wallet', ':skip')); ?>";
                let $this = $(this);
                $.ajax({
                    url: route.replace(':skip', walletSkip),
                    type: "GET",
                    dataType: 'json',
                    cache: false,
                    beforeSend: function() {
                        $this.html(`
                        <span class="right-sidebar__button-icon">
                            <i class="las la-spinner la-spin"></i>
                        </span>`).attr('disabled', true);
                    },
                    complete: function(e) {
                        setTimeout(() => {
                            $this.html(`
                        <span class="right-sidebar__button-icon">
                            <i class="las la-chevron-circle-down"></i>
                        </span><?php echo app('translator')->get('Show More'); ?>`).attr('disabled', false);
                            $('.wallet-list').removeClass('skeleton');
                        }, 500);
                    },
                    success: function(resp) {
                        if (resp.success && (resp.wallets && resp.wallets.length > 0)) {
                            let html = "";
                            $.each(resp.wallets, function(i, wallet) {
                                html += `
                            <div class="right-sidebar__item wallet-list skeleton">
                                <div class="d-flex align-items-center">
                                    <span class="right-sidebar__item-icon">
                                        <img src="${wallet.currency.image_url}">
                                    </span>
                                    <h6 class="right-sidebar__item-name">
                                        ${wallet.currency.name}
                                        <span class="fs-11 d-block">
                                            ${wallet.currency.symbol}
                                        </span>
                                    </h6>
                                </div>

                                <h6 class="right-sidebar__item-number">${getAmount(wallet.balance)}</h6>
                            </div>
                            `
                            });
                            walletSkip += 3;
                            $('.wallet-wrapper').append(html);
                        } else {
                            $this.remove();
                        }

                        $('.right-sidebar__menu').animate({
                            scrollTop: $('.right-sidebar__menu')[0].scrollHeight + 150
                        }, "slow");
                    },
                    error: function() {
                        notify('error', "<?php echo app('translator')->get('Something went to wrong'); ?>");
                        $this.remove();
                    }
                });
            });


        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('topContent'); ?>
    <h4 class="mb-4"><?php echo e(__($pageTitle)); ?></h4>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .select2-image {
            max-width: 50px;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/survxdet/billing.intelco.biz/core/resources/views/templates/basic/user/dashboard.blade.php ENDPATH**/ ?>